namespace SampleApp {
    
    
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"Messaging.SalesOrder", typeof(Messaging.SalesOrder))]
    [Microsoft.XLANGs.BaseTypes.SchemaReference(@"Messaging.Restock", typeof(Messaging.Restock))]
    public sealed class SalesOrder_to_Restock : Microsoft.BizTalk.TestTools.Mapper.TestableMapBase {
        
        private const string _strMap = @"<?xml version=""1.0"" encoding=""UTF-16""?>
<xsl:stylesheet xmlns:xsl=""http://www.w3.org/1999/XSL/Transform"" xmlns:msxsl=""urn:schemas-microsoft-com:xslt"" xmlns:var=""http://schemas.microsoft.com/BizTalk/2003/var"" exclude-result-prefixes=""msxsl var s0 userCSharp"" version=""1.0"" xmlns:ns0=""http://Demo.Messaging.Restock"" xmlns:s0=""http://Demo.Messaging.SalesOrderv1.0"" xmlns:userCSharp=""http://schemas.microsoft.com/BizTalk/2003/userCSharp"">
  <xsl:output omit-xml-declaration=""yes"" method=""xml"" version=""1.0"" />
  <xsl:template match=""/"">
    <xsl:apply-templates select=""/s0:SalesOrder"" />
  </xsl:template>
  <xsl:template match=""/s0:SalesOrder"">
    <xsl:variable name=""var:v1"" select=""userCSharp:StringConcat(string(Detail/@StoreNumber) , &quot;-&quot; , string(Detail/@OrderNumber))"" />
    <ns0:Restock>
      <xsl:attribute name=""OrderID"">
        <xsl:value-of select=""$var:v1"" />
      </xsl:attribute>
      <Products>
        <xsl:for-each select=""Items/Item"">
          <Product>
            <xsl:if test=""@Qty"">
              <xsl:attribute name=""Quantity"">
                <xsl:value-of select=""@Qty"" />
              </xsl:attribute>
            </xsl:if>
            <xsl:if test=""@SKU"">
              <xsl:attribute name=""ID"">
                <xsl:value-of select=""@SKU"" />
              </xsl:attribute>
            </xsl:if>
          </Product>
        </xsl:for-each>
      </Products>
    </ns0:Restock>
  </xsl:template>
  <msxsl:script language=""C#"" implements-prefix=""userCSharp""><![CDATA[
public string StringConcat(string param0, string param1, string param2)
{
   return param0 + param1 + param2;
}



]]></msxsl:script>
</xsl:stylesheet>";
        
        private const string _strArgList = @"<ExtensionObjects />";
        
        private const string _strSrcSchemasList0 = @"Messaging.SalesOrder";
        
        private const Messaging.SalesOrder _srcSchemaTypeReference0 = null;
        
        private const string _strTrgSchemasList0 = @"Messaging.Restock";
        
        private const Messaging.Restock _trgSchemaTypeReference0 = null;
        
        public override string XmlContent {
            get {
                return _strMap;
            }
        }
        
        public override string XsltArgumentListContent {
            get {
                return _strArgList;
            }
        }
        
        public override string[] SourceSchemas {
            get {
                string[] _SrcSchemas = new string [1];
                _SrcSchemas[0] = @"Messaging.SalesOrder";
                return _SrcSchemas;
            }
        }
        
        public override string[] TargetSchemas {
            get {
                string[] _TrgSchemas = new string [1];
                _TrgSchemas[0] = @"Messaging.Restock";
                return _TrgSchemas;
            }
        }
    }
}
